Skip to main content
GET
/
v1
/
options
/
activity
Get Options Activity
curl --request GET \
  --url https://api.aries.com/v1/options/activity \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aries.com/v1/options/activity"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aries.com/v1/options/activity', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "activities": [ { "id": "67745ec4c88d4e00015ce121", "date": "2024-12-31", "time": "16:14:43", "ticker": "SPY", "exchange": "ARCA", "description": "SPDR S&P 500 Option Alert: Jan 2 $591 Calls Sweep (5) near the Bid: 488 vs 2017 OI", "descriptionExtended": "SPDR S&P 500 Option Alert: Jan 2 $591 Calls Sweep (5) near the Bid: 488 @ $0.54 vs 2017 OI; Ref=$586.4", "updated": 1735679684, "sentiment": "BEARISH", "aggressorInd": "0.0", "optionSymbol": "SPY250102C00591000", "underlyingType": "ETF", "underlyingPrice": "586.4", "costBasis": "26352.000000000004", "putCall": "CALL", "strikePrice": "591.00", "price": "0.54", "size": "488", "dateExpiration": "2025-01-02", "optionActivityType": "SWEEP", "tradeCount": "5", "openInterest": "2017", "volume": "37933", "bid": "0.54", "ask": "0.55", "midpoint": "0.545", "executionEstimate": "AT_BID" } ] }

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

dateFrom
string<date>

Start date for filtering options activity in YYYY-MM-DD format

dateTo
string<date>

End date for filtering options activity in YYYY-MM-DD format

tickers
string

Comma-separated list of ticker symbols to filter results

page
integer

Page number for pagination (zero-based)

Required range: x >= 0
pageSize
integer

Number of results per page. Use this to control pagination size in list views. (default: 100, max: 1000)

Required range: 1 <= x <= 1000

Response

Successful response

activities
object[]